org.wildfly.swarm.config.infinispan.cache_container

## Class BinaryTable<T extends BinaryTable<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.BinaryTable<T>

-     public class BinaryTable<T extends BinaryTable<T>>
      extends Object

  Defines a table used to store cache entries whose keys cannot be expressed as strings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `batchSize()` For DB inserts, the batch size determines how many inserts are batched together.
    `T` | `batchSize(Integer value)` For DB inserts, the batch size determines how many inserts are batched together.
    `Map` | `dataColumn()` A database column to hold cache entry data.
    `T` | `dataColumn(Map value)` A database column to hold cache entry data.
    `T` | `dataColumn(String key, Object value)` A database column to hold cache entry data.
    `Integer` | `fetchSize()` For DB queries, the fetch size will be used to set the fetch size on ResultSets.
    `T` | `fetchSize(Integer value)` For DB queries, the fetch size will be used to set the fetch size on ResultSets.
    `String` | `getKey()`
    `Map` | `idColumn()` A database column to hold cache entry ids.
    `T` | `idColumn(Map value)` A database column to hold cache entry ids.
    `T` | `idColumn(String key, Object value)` A database column to hold cache entry ids.
    `String` | `prefix()` The prefix for the database table name.
    `T` | `prefix(String value)` The prefix for the database table name.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Map` | `timestampColumn()` A database column to hold cache entry timestamps.
    `T` | `timestampColumn(Map value)` A database column to hold cache entry timestamps.
    `T` | `timestampColumn(String key, Object value)` A database column to hold cache entry timestamps.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryTable

          public BinaryTable()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### batchSize

          public Integer batchSize()

      For DB inserts, the batch size determines how many inserts are batched together.

    - #### batchSize

          public T batchSize(Integer value)

      For DB inserts, the batch size determines how many inserts are batched together.

    - #### dataColumn

          public Map dataColumn()

      A database column to hold cache entry data.

    - #### dataColumn

          public T dataColumn(Map value)

      A database column to hold cache entry data.

    - #### dataColumn

          public T dataColumn(String key,
                              Object value)

      A database column to hold cache entry data.

    - #### fetchSize

          public Integer fetchSize()

      For DB queries, the fetch size will be used to set the fetch size on ResultSets.

    - #### fetchSize

          public T fetchSize(Integer value)

      For DB queries, the fetch size will be used to set the fetch size on ResultSets.

    - #### idColumn

          public Map idColumn()

      A database column to hold cache entry ids.

    - #### idColumn

          public T idColumn(Map value)

      A database column to hold cache entry ids.

    - #### idColumn

          public T idColumn(String key,
                            Object value)

      A database column to hold cache entry ids.

    - #### prefix

          public String prefix()

      The prefix for the database table name.

    - #### prefix

          public T prefix(String value)

      The prefix for the database table name.

    - #### timestampColumn

          public Map timestampColumn()

      A database column to hold cache entry timestamps.

    - #### timestampColumn

          public T timestampColumn(Map value)

      A database column to hold cache entry timestamps.

    - #### timestampColumn

          public T timestampColumn(String key,
                                   Object value)

      A database column to hold cache entry timestamps.

Copyright © 2017 JBoss by Red Hat. All rights reserved.